com.genesyslab.wfm8.API.service.config850

## Class CfgTeamRange

- java.lang.Object
- - com.genesyslab.wfm8.API.service.config850.CfgTeamRange

- All Implemented Interfaces:
    java.io.Serializable

      public class CfgTeamRange
      extends java.lang.Object
      implements java.io.Serializable

  Team Range used with Agent-Team History
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private static long` | `serialVersionUID`
    `protected double` | `wmEndDatetime`
    `protected int` | `wmSiteId`
    `protected double` | `wmStartDatetime`
    `protected int` | `wmTeamId`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CfgTeamRange()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object that)`
    `double` | `getWmEndDatetime()` Gets the value of the wmEndDatetime property.
    `int` | `getWmSiteId()` Gets the value of the wmSiteId property.
    `double` | `getWmStartDatetime()` Gets the value of the wmStartDatetime property.
    `int` | `getWmTeamId()` Gets the value of the wmTeamId property.
    `int` | `hashCode()`
    `void` | `setWmEndDatetime(double value)` Sets the value of the wmEndDatetime property.
    `void` | `setWmSiteId(int value)` Sets the value of the wmSiteId property.
    `void` | `setWmStartDatetime(double value)` Sets the value of the wmStartDatetime property.
    `void` | `setWmTeamId(int value)` Sets the value of the wmTeamId property.
    `java.lang.String` | `toString()`
    `CfgTeamRange` | `withWmEndDatetime(double value)`
    `CfgTeamRange` | `withWmSiteId(int value)`
    `CfgTeamRange` | `withWmStartDatetime(double value)`
    `CfgTeamRange` | `withWmTeamId(int value)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### serialVersionUID

          private static final long serialVersionUID

      See Also:
        Constant Field Values

    - #### wmSiteId

          protected int wmSiteId

    - #### wmTeamId

          protected int wmTeamId

    - #### wmStartDatetime

          protected double wmStartDatetime

    - #### wmEndDatetime

          protected double wmEndDatetime

  - ### Constructor Detail

    - #### CfgTeamRange

          public CfgTeamRange()

  - ### Method Detail

    - #### getWmSiteId

          public int getWmSiteId()

      Gets the value of the wmSiteId property.

    - #### setWmSiteId

          public void setWmSiteId(int value)

      Sets the value of the wmSiteId property.

    - #### getWmTeamId

          public int getWmTeamId()

      Gets the value of the wmTeamId property.

    - #### setWmTeamId

          public void setWmTeamId(int value)

      Sets the value of the wmTeamId property.

    - #### getWmStartDatetime

          public double getWmStartDatetime()

      Gets the value of the wmStartDatetime property.

    - #### setWmStartDatetime

          public void setWmStartDatetime(double value)

      Sets the value of the wmStartDatetime property.

    - #### getWmEndDatetime

          public double getWmEndDatetime()

      Gets the value of the wmEndDatetime property.

    - #### setWmEndDatetime

          public void setWmEndDatetime(double value)

      Sets the value of the wmEndDatetime property.

    - #### withWmSiteId

          public CfgTeamRange withWmSiteId(int value)

    - #### withWmTeamId

          public CfgTeamRange withWmTeamId(int value)

    - #### withWmStartDatetime

          public CfgTeamRange withWmStartDatetime(double value)

    - #### withWmEndDatetime

          public CfgTeamRange withWmEndDatetime(double value)

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### equals

          public boolean equals(java.lang.Object that)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

Copyright © 2005-2016 Genesys Telecommunications Labs, Inc. All Rights Reserved.